DiagramManager Class

class NXOpen.AME.DiagramManager

Bases: object

Represents an object that manages sheet elements.

This object does not need a creator.

New in version NX11.0.0.

Methods

Method Description
AddFragmentPlacedSheetElement Add placed sheet element to fragment object
CopySchematicObjects Copy schematic object
CreateConnection Create Diagramming Connection
CreateSchematicNode Create Schematic Diagram Node
CreateSocket Create Socket Diagram Node Copy
CreateTopologyNode Create Topology Diagram Node
CutSchematicObjects Cut schematic object
DeleteConnections Delete Connections
DeletePlacedSheetElements Delete placed sheet elements from page
DeleteSheetElements Delete Sheet Element
DisconnectConnection Detach Diagramming Connection
GetSheetPartFromPage Get Diagramming Sheet’s Part From Page
InstantiateProductComponentInstance Instantiate Product Component instance and create Schematic Diagram Node
LaunchPage Launch fragment diagram sheet
PasteSchematicObjects Paste schematic object
PlaceFragmentOnPage Place Copied Fragment on page
ReconnectConnection Reconnect Diagramming Connection
RefreshFragmentBoundingBox Creating or Updating fragment Sheet Bounding Box in Template
RemovePlugPort Remove plug from object
SetFragmentBoundingBoxAnchorPoint Creating or Updating fragment Sheet Bounding Box in Template
SetTeeJunctionRepresentationStyle Set representation style for tee Junction
SetTeeJunctionVariant Set variant for tee Junction
ShowHideConnectionDirection Show/Hide Connection Direction symbol of ports on schematics pages.
SwapConnectionSourceTarget Swap source target for ame connections
SwitchMountingOrientation Switch Mounting Orientation of the input NXOpen.AME.AMEEngObject object.
UpdateCableInformation Update Cable information like Cores and Core Order Indices
UpdateConnectionBendPoints Update Diagramming Connection with new bend points
UpdateNodeLocation Update node location
UpdateNodeRotation Update node rotation
UpdateNodeSize Update node size

Method Detail

AddFragmentPlacedSheetElement

DiagramManager.AddFragmentPlacedSheetElement

Add placed sheet element to fragment object

Signature AddFragmentPlacedSheetElement(fragmentObject, sheetElement)

Parameters:

New in version NX12.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

CopySchematicObjects

DiagramManager.CopySchematicObjects

Copy schematic object

Signature CopySchematicObjects(elements)

Parameters:elements (list of NXOpen.Diagramming.SheetElement) –

New in version NX11.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

CreateConnection

DiagramManager.CreateConnection

Create Diagramming Connection

Signature CreateConnection(sheet, startPort, endPort, p2dBendPoints)

Parameters:
Returns:

Return type:

NXOpen.Diagramming.Connection

New in version NX11.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

CreateSchematicNode

DiagramManager.CreateSchematicNode

Create Schematic Diagram Node

Signature CreateSchematicNode(sheet, engObject, locationX, locationY, symbolVariantName)

Parameters:
Returns:

Return type:

NXOpen.Diagramming.Node

New in version NX11.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

CreateSocket

DiagramManager.CreateSocket

Create Socket Diagram Node Copy

Signature CreateSocket(sheet, locationX, locationY)

Parameters:
Returns:

Return type:

NXOpen.Diagramming.Node

New in version NX12.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

CreateTopologyNode

DiagramManager.CreateTopologyNode

Create Topology Diagram Node

Signature CreateTopologyNode(sheet, engObject, locationX, locationY)

Parameters:
Returns:

Return type:

NXOpen.Diagramming.Node

New in version NX11.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

CutSchematicObjects

DiagramManager.CutSchematicObjects

Cut schematic object

Signature CutSchematicObjects(elements)

Parameters:elements (list of NXOpen.Diagramming.SheetElement) –

New in version NX11.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

DeleteConnections

DiagramManager.DeleteConnections

Delete Connections

Signature DeleteConnections(elements)

Parameters:elements (list of NXOpen.Diagramming.Connection) –

New in version NX11.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

DeletePlacedSheetElements

DiagramManager.DeletePlacedSheetElements

Delete placed sheet elements from page

Signature DeletePlacedSheetElements(fragment)

Parameters:fragment (NXOpen.AME.FragmentObject) –

New in version NX11.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

DeleteSheetElements

DiagramManager.DeleteSheetElements

Delete Sheet Element

Signature DeleteSheetElements(elements)

Parameters:elements (list of NXOpen.Diagramming.SheetElement) –

New in version NX11.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

DisconnectConnection

DiagramManager.DisconnectConnection

Detach Diagramming Connection

Signature DisconnectConnection(connection)

Parameters:connection (NXOpen.Diagramming.Connection) –

New in version NX11.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

GetSheetPartFromPage

DiagramManager.GetSheetPartFromPage

Get Diagramming Sheet’s Part From Page

Signature GetSheetPartFromPage(pageObject)

Parameters:pageObject (NXOpen.AME.PageObject) –
Returns:
Return type:NXOpen.NXObject

New in version NX11.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

InstantiateProductComponentInstance

DiagramManager.InstantiateProductComponentInstance

Instantiate Product Component instance and create Schematic Diagram Node

Signature InstantiateProductComponentInstance(pageObject, instanceObject, locationX, locationY, symbolVariantName)

Parameters:
Returns:

Return type:

NXOpen.Diagramming.Node

New in version NX12.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

LaunchPage

DiagramManager.LaunchPage

Launch fragment diagram sheet

Signature LaunchPage(pageObject, isNewWindow)

Parameters:

New in version NX11.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

PasteSchematicObjects

DiagramManager.PasteSchematicObjects

Paste schematic object

Signature PasteSchematicObjects(page, locationX, locationY)

Parameters:
Returns:

Return type:

list of NXOpen.NXObject

New in version NX11.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

PlaceFragmentOnPage

DiagramManager.PlaceFragmentOnPage

Place Copied Fragment on page

Signature PlaceFragmentOnPage(fragment, page, locationX, locationY)

Parameters:

New in version NX11.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

ReconnectConnection

DiagramManager.ReconnectConnection

Reconnect Diagramming Connection

Signature ReconnectConnection(sheet, connection, targetPort, connectionLocationType)

Parameters:

New in version NX11.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

RefreshFragmentBoundingBox

DiagramManager.RefreshFragmentBoundingBox

Creating or Updating fragment Sheet Bounding Box in Template

Signature RefreshFragmentBoundingBox(sheet)

Parameters:sheet (NXOpen.Diagramming.Sheet) –

New in version NX11.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

RemovePlugPort

DiagramManager.RemovePlugPort

Remove plug from object

Signature RemovePlugPort(sheet)

Parameters:sheet (NXOpen.Diagramming.Sheet) –

New in version NX11.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

SetFragmentBoundingBoxAnchorPoint

DiagramManager.SetFragmentBoundingBoxAnchorPoint

Creating or Updating fragment Sheet Bounding Box in Template

Signature SetFragmentBoundingBoxAnchorPoint(fragment, anchorX, anchorY)

Parameters:

New in version NX11.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

SetTeeJunctionRepresentationStyle

DiagramManager.SetTeeJunctionRepresentationStyle

Set representation style for tee Junction

Signature SetTeeJunctionRepresentationStyle(elements, representationStyle)

Parameters:

New in version NX12.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

SetTeeJunctionVariant

DiagramManager.SetTeeJunctionVariant

Set variant for tee Junction

Signature SetTeeJunctionVariant(elements, variantIndex)

Parameters:

New in version NX12.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

ShowHideConnectionDirection

DiagramManager.ShowHideConnectionDirection

Show/Hide Connection Direction symbol of ports on schematics pages.

Signature ShowHideConnectionDirection(showHideConnectionDirection)

Parameters:showHideConnectionDirection (bool) –

New in version NX12.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

SwapConnectionSourceTarget

DiagramManager.SwapConnectionSourceTarget

Swap source target for ame connections

Signature SwapConnectionSourceTarget(connections)

Parameters:connections (list of NXOpen.NXObject) –

New in version NX12.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

SwitchMountingOrientation

DiagramManager.SwitchMountingOrientation

Switch Mounting Orientation of the input NXOpen.AME.AMEEngObject object.

Signature SwitchMountingOrientation(engObject)

Parameters:engObject (NXOpen.AME.AMEEngObject) –

New in version NX12.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

UpdateCableInformation

DiagramManager.UpdateCableInformation

Update Cable information like Cores and Core Order Indices

Signature UpdateCableInformation(cableEO, pageObjects)

Parameters:

New in version NX12.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

UpdateConnectionBendPoints

DiagramManager.UpdateConnectionBendPoints

Update Diagramming Connection with new bend points

Signature UpdateConnectionBendPoints(connection, bendPoints)

Parameters:

New in version NX12.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

UpdateNodeLocation

DiagramManager.UpdateNodeLocation

Update node location

Signature UpdateNodeLocation(node, cordinateX, cordinateY)

Parameters:

New in version NX11.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

UpdateNodeRotation

DiagramManager.UpdateNodeRotation

Update node rotation

Signature UpdateNodeRotation(node, rotation)

Parameters:

New in version NX12.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)

UpdateNodeSize

DiagramManager.UpdateNodeSize

Update node size

Signature UpdateNodeSize(node, coordinateX, coordinateY, height, width)

Parameters:
  • node (NXOpen.Diagramming.Node) –
  • coordinateX (float) –
  • coordinateY (float) –
  • height (float) –
  • width (float) –

New in version NX12.0.0.

License requirements: ad_automation_design (“FULL AUTOMATION DESIGNER”)